package main

/**
                |      |
                |      |
       .========'      '========.
       |   _      xxxx      _   |
       |  /_;-.__ / _\  _.-;_\  |
       |     `-._`'`_/'`.-'     |
       '========.`\   /`========'
                | |  / |
                |/-.(  |
                |\_._\ |
                | \ \`;|
                |  > |/|
                | / // |
                | |//  |
                | \(\  |
                |  ``  |
                |      |
                |      |
                |      |
                |      |
           耶稣保佑     永不BUG     稳如死狗
**/
import (
	"agent/services"
	"framework/kgo"

	//	"agent/prometheus/config"

	"agent/common/log"
	"agent/controllers"
	"agent/prometheus"
	"agent/prometheus/db"
)

//主函数
func main() {
	//初始化日志
	loadLog()
	//初始化数据库
	//loadDB()
	//初始化执行者
	initExecutor()
	//初始化微服务
	services.InitMicroService()
	//运行
	run()
}

//加载日志
func loadLog() {
	log.InitLog()
}

//加载数据库
func loadDB() {
	db.InitDB()
}

//初始化执行者
func initExecutor() {
	prometheus.LoopExecutor()
}

//运行
func run() {
	kgo.RegisterFullRoute(&controllers.Alert{})
	kgo.RegisterFullRoute(&controllers.Kws{})
	kgo.Run()
}
